# Edit this configuration file to define what should be installed on
# your system.  Help is available in the configuration.nix(5) man page
# and in the NixOS manual (accessible by running ‘nixos-help’).

{ config, pkgs, ... }:

{
  imports =
    [ # Include the results of the hardware scan.
      ./hardware-configuration.nix
      ../common
      ../common/graphical
    ];

  services.xserver = {

    dpi = 144;
    videoDrivers = [ "nvidia" ];
    screenSection = ''
      Option	"metamodes" "nvidia-auto-select +0+0 {ForceCompositionPipeline=On}"
      Option	"AllowIndirectGLXProtocol" "off"
      Option	"TripleBuffer" "on"
    '';

  };

  hardware.nvidia.modesetting.enable = true;

  networking.hostName = "dingbox"; # Define your hostname.
  networking.interfaces.enp5s0.useDHCP = true;
  networking.interfaces.wlp6s0.useDHCP = true;
}

